## org.eclipse.ocl.parser
Interface OCLLexersym

All Known Implementing Classes:
  OCLLexer, OCLLexerprs

    public interface OCLLexersym

Field Summary
`static int` `Char__`
`static int` `Char_0`
`static int` `Char_1`
`static int` `Char_2`
`static int` `Char_3`
`static int` `Char_4`
`static int` `Char_5`
`static int` `Char_6`
`static int` `Char_7`
`static int` `Char_8`
`static int` `Char_9`
`static int` `Char_a`
`static int` `Char_A`
`static int` `Char_Acute`
`static int` `Char_AfterASCIINotAcute`
`static int` `Char_Ampersand`
`static int` `Char_AtSign`
`static int` `Char_b`
`static int` `Char_B`
`static int` `Char_BackQuote`
`static int` `Char_BackSlash`
`static int` `Char_c`
`static int` `Char_C`
`static int` `Char_Caret`
`static int` `Char_Colon`
`static int` `Char_Comma`
`static int` `Char_CR`
`static int` `Char_CtlCharNotWS`
`static int` `Char_d`
`static int` `Char_D`
`static int` `Char_DollarSign`
`static int` `Char_Dot`
`static int` `Char_DoubleQuote`
`static int` `Char_e`
`static int` `Char_E`
`static int` `Char_EOF`
`static int` `Char_Equal`
`static int` `Char_Exclamation`
`static int` `Char_f`
`static int` `Char_F`
`static int` `Char_FF`
`static int` `Char_g`
`static int` `Char_G`
`static int` `Char_GreaterThan`
`static int` `Char_h`
`static int` `Char_H`
`static int` `Char_HT`
`static int` `Char_i`
`static int` `Char_I`
`static int` `Char_j`
`static int` `Char_J`
`static int` `Char_k`
`static int` `Char_K`
`static int` `Char_l`
`static int` `Char_L`
`static int` `Char_LeftBrace`
`static int` `Char_LeftBracket`
`static int` `Char_LeftParen`
`static int` `Char_LessThan`
`static int` `Char_LF`
`static int` `Char_m`
`static int` `Char_M`
`static int` `Char_Minus`
`static int` `Char_n`
`static int` `Char_N`
`static int` `Char_o`
`static int` `Char_O`
`static int` `Char_p`
`static int` `Char_P`
`static int` `Char_Percent`
`static int` `Char_Plus`
`static int` `Char_q`
`static int` `Char_Q`
`static int` `Char_QuestionMark`
`static int` `Char_r`
`static int` `Char_R`
`static int` `Char_RightBrace`
`static int` `Char_RightBracket`
`static int` `Char_RightParen`
`static int` `Char_s`
`static int` `Char_S`
`static int` `Char_SemiColon`
`static int` `Char_Sharp`
`static int` `Char_SingleQuote`
`static int` `Char_Slash`
`static int` `Char_Space`
`static int` `Char_Star`
`static int` `Char_t`
`static int` `Char_T`
`static int` `Char_Tilde`
`static int` `Char_u`
`static int` `Char_U`
`static int` `Char_v`
`static int` `Char_V`
`static int` `Char_VerticalBar`
`static int` `Char_w`
`static int` `Char_W`
`static int` `Char_x`
`static int` `Char_X`
`static int` `Char_y`
`static int` `Char_Y`
`static int` `Char_z`
`static int` `Char_Z`
`static boolean` `isValidForParser`
`static String[]` `orderedTerminalSymbols`

Field Detail

### Char_CtlCharNotWS

    static final int Char_CtlCharNotWS

See Also:
  Constant Field Values

### Char_LF

    static final int Char_LF

See Also:
  Constant Field Values

### Char_CR

    static final int Char_CR

See Also:
  Constant Field Values

### Char_HT

    static final int Char_HT

See Also:
  Constant Field Values

### Char_FF

    static final int Char_FF

See Also:
  Constant Field Values

### Char_a

    static final int Char_a

See Also:
  Constant Field Values

### Char_b

    static final int Char_b

See Also:
  Constant Field Values

### Char_c

    static final int Char_c

See Also:
  Constant Field Values

### Char_d

    static final int Char_d

See Also:
  Constant Field Values

### Char_e

    static final int Char_e

See Also:
  Constant Field Values

### Char_f

    static final int Char_f

See Also:
  Constant Field Values

### Char_g

    static final int Char_g

See Also:
  Constant Field Values

### Char_h

    static final int Char_h

See Also:
  Constant Field Values

### Char_i

    static final int Char_i

See Also:
  Constant Field Values

### Char_j

    static final int Char_j

See Also:
  Constant Field Values

### Char_k

    static final int Char_k

See Also:
  Constant Field Values

### Char_l

    static final int Char_l

See Also:
  Constant Field Values

### Char_m

    static final int Char_m

See Also:
  Constant Field Values

### Char_n

    static final int Char_n

See Also:
  Constant Field Values

### Char_o

    static final int Char_o

See Also:
  Constant Field Values

### Char_p

    static final int Char_p

See Also:
  Constant Field Values

### Char_q

    static final int Char_q

See Also:
  Constant Field Values

### Char_r

    static final int Char_r

See Also:
  Constant Field Values

### Char_s

    static final int Char_s

See Also:
  Constant Field Values

### Char_t

    static final int Char_t

See Also:
  Constant Field Values

### Char_u

    static final int Char_u

See Also:
  Constant Field Values

### Char_v

    static final int Char_v

See Also:
  Constant Field Values

### Char_w

    static final int Char_w

See Also:
  Constant Field Values

### Char_x

    static final int Char_x

See Also:
  Constant Field Values

### Char_y

    static final int Char_y

See Also:
  Constant Field Values

### Char_z

    static final int Char_z

See Also:
  Constant Field Values

### Char__

    static final int Char__

See Also:
  Constant Field Values

### Char_A

    static final int Char_A

See Also:
  Constant Field Values

### Char_B

    static final int Char_B

See Also:
  Constant Field Values

### Char_C

    static final int Char_C

See Also:
  Constant Field Values

### Char_D

    static final int Char_D

See Also:
  Constant Field Values

### Char_E

    static final int Char_E

See Also:
  Constant Field Values

### Char_F

    static final int Char_F

See Also:
  Constant Field Values

### Char_G

    static final int Char_G

See Also:
  Constant Field Values

### Char_H

    static final int Char_H

See Also:
  Constant Field Values

### Char_I

    static final int Char_I

See Also:
  Constant Field Values

### Char_J

    static final int Char_J

See Also:
  Constant Field Values

### Char_K

    static final int Char_K

See Also:
  Constant Field Values

### Char_L

    static final int Char_L

See Also:
  Constant Field Values

### Char_M

    static final int Char_M

See Also:
  Constant Field Values

### Char_N

    static final int Char_N

See Also:
  Constant Field Values

### Char_O

    static final int Char_O

See Also:
  Constant Field Values

### Char_P

    static final int Char_P

See Also:
  Constant Field Values

### Char_Q

    static final int Char_Q

See Also:
  Constant Field Values

### Char_R

    static final int Char_R

See Also:
  Constant Field Values

### Char_S

    static final int Char_S

See Also:
  Constant Field Values

### Char_T

    static final int Char_T

See Also:
  Constant Field Values

### Char_U

    static final int Char_U

See Also:
  Constant Field Values

### Char_V

    static final int Char_V

See Also:
  Constant Field Values

### Char_W

    static final int Char_W

See Also:
  Constant Field Values

### Char_X

    static final int Char_X

See Also:
  Constant Field Values

### Char_Y

    static final int Char_Y

See Also:
  Constant Field Values

### Char_Z

    static final int Char_Z

See Also:
  Constant Field Values

### Char_0

    static final int Char_0

See Also:
  Constant Field Values

### Char_1

    static final int Char_1

See Also:
  Constant Field Values

### Char_2

    static final int Char_2

See Also:
  Constant Field Values

### Char_3

    static final int Char_3

See Also:
  Constant Field Values

### Char_4

    static final int Char_4

See Also:
  Constant Field Values

### Char_5

    static final int Char_5

See Also:
  Constant Field Values

### Char_6

    static final int Char_6

See Also:
  Constant Field Values

### Char_7

    static final int Char_7

See Also:
  Constant Field Values

### Char_8

    static final int Char_8

See Also:
  Constant Field Values

### Char_9

    static final int Char_9

See Also:
  Constant Field Values

### Char_AfterASCIINotAcute

    static final int Char_AfterASCIINotAcute

See Also:
  Constant Field Values

### Char_Space

    static final int Char_Space

See Also:
  Constant Field Values

### Char_DoubleQuote

    static final int Char_DoubleQuote

See Also:
  Constant Field Values

### Char_SingleQuote

    static final int Char_SingleQuote

See Also:
  Constant Field Values

### Char_Percent

    static final int Char_Percent

See Also:
  Constant Field Values

### Char_VerticalBar

    static final int Char_VerticalBar

See Also:
  Constant Field Values

### Char_Exclamation

    static final int Char_Exclamation

See Also:
  Constant Field Values

### Char_AtSign

    static final int Char_AtSign

See Also:
  Constant Field Values

### Char_BackQuote

    static final int Char_BackQuote

See Also:
  Constant Field Values

### Char_Acute

    static final int Char_Acute

See Also:
  Constant Field Values

### Char_Tilde

    static final int Char_Tilde

See Also:
  Constant Field Values

### Char_Sharp

    static final int Char_Sharp

See Also:
  Constant Field Values

### Char_DollarSign

    static final int Char_DollarSign

See Also:
  Constant Field Values

### Char_Ampersand

    static final int Char_Ampersand

See Also:
  Constant Field Values

### Char_Caret

    static final int Char_Caret

See Also:
  Constant Field Values

### Char_Colon

    static final int Char_Colon

See Also:
  Constant Field Values

### Char_SemiColon

    static final int Char_SemiColon

See Also:
  Constant Field Values

### Char_BackSlash

    static final int Char_BackSlash

See Also:
  Constant Field Values

### Char_LeftBrace

    static final int Char_LeftBrace

See Also:
  Constant Field Values

### Char_RightBrace

    static final int Char_RightBrace

See Also:
  Constant Field Values

### Char_LeftBracket

    static final int Char_LeftBracket

See Also:
  Constant Field Values

### Char_RightBracket

    static final int Char_RightBracket

See Also:
  Constant Field Values

### Char_QuestionMark

    static final int Char_QuestionMark

See Also:
  Constant Field Values

### Char_Comma

    static final int Char_Comma

See Also:
  Constant Field Values

### Char_Dot

    static final int Char_Dot

See Also:
  Constant Field Values

### Char_LessThan

    static final int Char_LessThan

See Also:
  Constant Field Values

### Char_GreaterThan

    static final int Char_GreaterThan

See Also:
  Constant Field Values

### Char_Plus

    static final int Char_Plus

See Also:
  Constant Field Values

### Char_Minus

    static final int Char_Minus

See Also:
  Constant Field Values

### Char_Slash

    static final int Char_Slash

See Also:
  Constant Field Values

### Char_Star

    static final int Char_Star

See Also:
  Constant Field Values

### Char_LeftParen

    static final int Char_LeftParen

See Also:
  Constant Field Values

### Char_RightParen

    static final int Char_RightParen

See Also:
  Constant Field Values

### Char_Equal

    static final int Char_Equal

See Also:
  Constant Field Values

### Char_EOF

    static final int Char_EOF

See Also:
  Constant Field Values

### orderedTerminalSymbols

    static final String[] orderedTerminalSymbols

### isValidForParser

    static final boolean isValidForParser

See Also:
  Constant Field Values

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.